main {
    font-family: Fira Sans;
    line-height: 1.6;
    background-color: #f7f7f7;
    margin: 0;
    padding: 50px;
}

h1 {
    text-align: center;
    color: #222965;
    font-size: 1.5em;
    font-weight: bold;
    margin: 15px 0 0 0;
}

h2 {
    color: #304b7d;
    font-size: 1.2em;
    margin: 35px 0 20px 0;
}

form {
    max-width: 780px;
    margin: 20px auto;
    padding: 30px;
    background-color: #ffffff;
    box-shadow: 0 0 10px rgba(0,0,0,0.1);
    border-radius: 8px;
    display: flex;
    flex-direction: column;
}

label {
    display: block;
}

.question-label {
    font-weight: bold;
    color: #333;
    margin: 15px 0 10px 0;
}

.question-label-attach {
    font-weight: bold;
    color: #333;
    margin: 10px 0 10px 0;
}

input[type="number"],
input[type="text"],
select {
    width: 100%;
    padding: 8px 10px;
    border: 1px solid #ccc;
    border-radius: 5px;
    font-size: 1em;
    box-sizing: border-box;
}

.checkbox-box {
    margin: 12px 0;
}

.error {
    color: red;
    font-size: 0.9em;
    display: none;
    margin-top: 3px;
    margin-bottom: -5px;
}

#pet-hair-error {
    margin-top: -4px;
    margin-bottom: 0px;
}

.parking-price-box {
    display: none;
    margin-left: 20px;
}

.extra-service-box {
    display: none;
    margin-left: 20px;
    padding-bottom: 7px;
}

input[type="radio"], input[type="checkbox"] {
    appearance: auto; 
    width: 18px;
    height: 18px;
    margin-right: 8px;
    accent-color: rgb(10, 93, 134);
    cursor: pointer;
}

.radio-box, .checkbox-box {
    display: flex;
    flex-direction: row;
    align-items: center;
}

button[type="submit"] {
    background-color: #1c82f0;
    color: white;
    font-size: 1em;
    margin: 20px 0;
    padding: 10px 15px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    align-self: flex-start;
    transition: background-color 0.2s ease;
}

button[type="submit"]:hover {
    background-color: #0056b3;
}

.info-icon {
    display: inline-block;
    position: relative;
    margin-left: 6px;
    cursor: pointer;
}

.info-img {
    width: 14px;
    height: 14px;
    vertical-align: middle;
}

.tooltip {
    visibility: hidden;
    opacity: 0;
    position: absolute;
    bottom: 125%;
    left: 50%;
    transform: translateX(-50%);
    width: 270px;
    background: #f9fafb;
    color: #222965;
    font-weight: normal;
    text-align: left;
    padding: 8px;
    border-radius: 5px;
    font-size: 0.9em;
    transition: opacity 0.3s;
    z-index: 10;
    border: 1px solid #b0b0b0;
}

.info-icon:hover .tooltip {
    visibility: visible;
    opacity: 1;
}

.service-description {
    margin-top: 5px;
    padding: 8px;
    background-color: #f9fafb;
    color: #222965; 
    border: 1px solid #b0b0b0;
    border-radius: 5px;
    font-size: 0.9em; 
    line-height: 1.4;
    display: none;
}

.step-5, .step-6, .step-7 {
    margin-bottom: -12px;
}